type TOnHWInterrupt = procedure(HWCounter : Longint;
                                LPTDataReg : Word;
                                LPTStatusReg : Word;
                                ScanCode:Word); stdcall;

function OpenTVicHW32(HW32:THANDLE):THANDLE;stdcall;
                 stdcall; external 'tvichw32.dll' name 'OpenTVicHW32';

function CloseTVicHW32(HW32:THANDLE):THANDLE;
                 stdcall; external 'tvichw32.dll' name 'CloseTVicHW32';

function GetActiveHW(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetActiveHW';

function  GetHardAccess(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetHardAccess';

procedure SetHardAccess(HW32 : THandle; bNewValue : BOOL);
                 stdcall; external 'tvichw32.dll' name 'SetHardAccess';

function GetPortByte(HW32 : THandle; PortAddr : Word) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetPortByte';
procedure SetPortByte(HW32 : THandle; PortAddr : Word; nNewValue : Word);
                 stdcall; external 'tvichw32.dll' name 'SetPortByte';
function GetPortWord(HW32 : THandle; PortAddr : Word) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetPortWord';
procedure SetPortWord(HW32 : THandle; PortAddr : Word; nNewValue : Word);
                 stdcall; external 'tvichw32.dll' name 'SetPortWord';
function GetPortLong(HW32 : THandle; PortAddr : Word): LongInt;
                 stdcall; external 'tvichw32.dll' name 'GetPortLong';
procedure SetPortLong(HW32 : THandle; PortAddr : Word; nNewValue : Longint);
                 stdcall; external 'tvichw32.dll' name 'SetPortLong';

function MapPhysToLinear(HW32 : THandle; PhAddr : Longint; PhSize : Longint) : Pointer;
                 stdcall; external 'tvichw32.dll' name 'MapPhysToLinear';
procedure UnmapMemory(HW32 : THandle; PhAddr : Longint; PhSize : Longint);
                 stdcall; external 'tvichw32.dll' name 'UnmapMemory';

function GetMem(HW32 : THandle; MappedAddr : Pointer; Offset: Longint) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetMem';
procedure SetMem(HW32 : THandle; MappedAddr : Pointer; Offset: Longint;nNewValue : Word);
                 stdcall; external 'tvichw32.dll' name 'SetMem';
function GetMemW(HW32 : THandle; MappedAddr : Pointer; Offset: Longint) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetMemW';
procedure SetMemW(HW32 : THandle; MappedAddr : Pointer; Offset: Longint; nNewValue : Word);
                 stdcall; external 'tvichw32.dll' name 'SetMemW';
function GetMemL(HW32 : THandle; MappedAddr : Pointer; Offset: Longint): Longint;
                 stdcall; external 'tvichw32.dll' name 'GetMemL';
procedure SetMemL(HW32 : THandle; MappedAddr : Pointer; Offset: Longint; nNewValue : Longint);
                 stdcall; external 'tvichw32.dll' name 'SetMemL';

function IsIRQMasked(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'IsIRQMasked';
procedure UnmaskIRQ(HW32 : THandle);
                 stdcall; external 'tvichw32.dll' name 'UnmaskIRQ';
procedure MaskIRQ(HW32 : THandle);
                 stdcall; external 'tvichw32.dll' name 'MaskIRQ';
function GetIRQNumber(HW32 : THandle) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetIRQNumber';
procedure SetIRQ(HW32        : THandle;
	        IRQNumber    : Word;
                HWHandler    : TOnHWInterrupt);
                 stdcall; external 'tvichw32.dll' name 'SetIRQ';

function GetLPTNumber(HW32 : THandle) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetLPTNumber';
procedure SetLPTNumber(HW32 : THandle; nNewValue : Word);
                 stdcall; external 'tvichw32.dll' name 'SetLPTNumber';
function GetLPTNumPorts(HW32 : THandle) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetLPTNumPorts';
function GetLPTBasePort(HW32 : THandle) : Word;
                 stdcall; external 'tvichw32.dll' name 'GetLPTBasePort';

function GetPin(HW32 : THandle; nPin : Word) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetPin';
procedure SetPin(HW32 : THandle; nPin : Word; bNewValue : BOOL);
                 stdcall; external 'tvichw32.dll' name 'SetPin';

function GetLPTAckwl(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetLPTAckwl';
function GetLPTBusy(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetLPTBusy';
function GetLPTPaperEnd(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetLPTPaperEnd';
function GetLPTSlct(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetLPTSlct';
function GetLPTError(HW32 : THandle) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'GetLPTError';

procedure LPTInit(HW32 : THandle);
                 stdcall; external 'tvichw32.dll' name 'LPTInit';
procedure LPTSlctIn(HW32 : THandle);
                 stdcall; external 'tvichw32.dll' name 'LPTSlctIn';
procedure LPTStrobe(HW32 : THandle);
                 stdcall; external 'tvichw32.dll' name 'LPTStrobe';
procedure LPTAutofd(HW32 : THandle; Flag : BOOL);
                 stdcall; external 'tvichw32.dll' name 'LPTAutofd';

function LPTPrintChar(HW32 : THandle; ch : Short) : BOOL;
                 stdcall; external 'tvichw32.dll' name 'LPTPrintChar';

function DebugCode(HW32 : THandle) : DWORD;
                 stdcall; external 'tvichw32.dll' name 'DebugCode';
